=== debian/changelog ===
rock-master-18.06-planning-fd-cedalion (0.20171024-1~bionic) unstable; urgency=low

  * Package automatically built using autoproj-package debian
  * repository: github:/rock-planning/planning-fd_cedalion.git
  * branch: refs/heads/master
  * commit: b899c0a4837539a5cda77a7702e7da7d6e965216
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Thu, 19 Jul 2018 19:17:15 +0200
